Bug 316477 - krita 2.6.1: unable to export to PSD one tif image (psd corruption)
Summary: krita 2.6.1: unable to export to PSD one tif image (psd corruption)
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: 2.6.1
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 17:06 UTC by Silvio Grosso
Modified: 2013-07-25 08:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Silvio Grosso 2013-03-10 17:06:50 UTC
krita 2.6.1
Windows 7 - 64 bit (home edition)
Photoshop CS2

Reproducible: Always

Steps to Reproduce:
1. Open Tif image (16 bit);
2. Export this image to Psd format;
3. Open this PSD image with Photoshop CS2.

Photoshop CS2 is unable to import this image: the image is blurred (the same problem applies to Gimp 2.8.2)
Actual Results:  
Krita 2.6.1 is unable to export correctly Tif image to PSD.
Maybe, quite simply,  this format is not supported yet... :-)

I have tried to export many jpg images to PSD and everything works as expected (Photoshop CS2 opens all these PSD images fine)

Expected Results:  
Krita 2.6.1 should support the export to Psd format for tif images (jpg work fine)

I have recorded all my steps to export this tif image to PSD:
https://dl.dropbox.com/u/3095134/BUGS_REPORT/KRITA_2.6.1_TIF_PSD_ARTIFACT.avi

This is the link to download this same tif image:
https://dl.dropbox.com/u/3095134/CAT_TIF_16-BIT.tif

BTW, when you export an image the .kra option is available three times in this export menu :-)
Comment 1 Halla Rempt 2013-03-31 11:34:56 UTC
Hi Silvio,

I can confirm the bug. It should work fine in Krita, so we've got a real bug here.
Comment 2 Camilla Boemann 2013-07-24 09:31:37 UTC
Git commit c9a8259ca4152efe8efde382eab752b4b7c3d58c by C. Boemann.
Committed on 24/07/2013 at 08:46.
Pushed by boemann into branch 'krita-psd-boemann'.

Make saving 16 and 32 bit psd files work

M  +16   -0    krita/plugins/formats/psd/psd_image_data.cpp

http://commits.kde.org/calligra/c9a8259ca4152efe8efde382eab752b4b7c3d58c
Comment 3 Jos van den Oever 2013-07-25 08:57:48 UTC
Git commit 5f4d1e7653ba8026ea33c4ff99e98e3cbbd2fb29 by Jos van den Oever, on behalf of C. Boemann.
Committed on 24/07/2013 at 08:46.
Pushed by vandenoever into branch 'libs-writeodf-vandenoever'.

Make saving 16 and 32 bit psd files work

M  +16   -0    krita/plugins/formats/psd/psd_image_data.cpp

http://commits.kde.org/calligra/5f4d1e7653ba8026ea33c4ff99e98e3cbbd2fb29